# Constant Field Values

## Contents

- org.eclipse.*
- org.osgi.*

## org.eclipse.*

org.eclipse.ecf.console.AbstractCommand
Modifier and Type
Constant Field
Value
`protected static final String`
`CONTAINER_INSPECT_FORMAT`
`"ID=%s\n\tNamespace=%s\n\tClass=%s\n\tConnectedTo=%s\n\tConnectNamespace=%s\n\tConfig=%s"`
`protected static final String`
`CONTAINER_LINE_FORMAT`
`"%1$-45s|%2$-40s|%3$s"`
`protected static final String`
`CTD_INSPECT_FORMAT`
`"ID=%s\n\tDescription=%s\n\tSupportedConfigs=%s\n\tSupportedIntents=%s\n\tInstanceArgTypes=%s\n\tAdapters=%s\n\tHidden=%b\n\tServer=%b"`
`protected static final String`
`CTD_LINE_FORMAT`
`"%s"`
`protected static final String`
`NAMESPACE_INSPECT_FORMAT`
`"ID=%s\n\tUriScheme=%s\n\tClass=%s\n\tDescription=%s\n\tInstanceArgTypes=%s"`
`protected static final String`
`NAMESPACE_LINE_FORMAT`
`"%s"`

org.eclipse.ecf.core.BaseContainer.Instantiator
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"ecf.base"`
org.eclipse.ecf.core.ContainerFactory
Modifier and Type
Constant Field
Value
`public static final String`
`BASE_CONTAINER_NAME`
`"ecf.base"`

org.eclipse.ecf.core.identity.GUID
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_BYTE_LENGTH`
`20`
org.eclipse.ecf.core.identity.Namespace
Modifier and Type
Constant Field
Value
`public static final String`
`SCHEME_SEPARATOR`
`":"`
org.eclipse.ecf.core.identity.NamespacePermission
Modifier and Type
Constant Field
Value
`public static final String`
`ADD_NAMESPACE`
`"add"`
`public static final String`
`ALL_NAMESPACE`
`"all"`
`public static final String`
`CONTAINS_NAMESPACE`
`"contains"`
`public static final String`
`GET_NAMESPACE`
`"get"`
`public static final String`
`REMOVE_NAMESPACE`
`"remove"`
org.eclipse.ecf.core.identity.URIID.URIIDNamespace
Modifier and Type
Constant Field
Value
`public static final String`
`UUID_PROTOCOL`
`"uuid"`
org.eclipse.ecf.core.identity.UuID.UuIDNamespace
Modifier and Type
Constant Field
Value
`public static final String`
`SCHEME`
`"uuid"`

org.eclipse.ecf.core.provider.ContainerInstantiatorUtils
Modifier and Type
Constant Field
Value
`public static final String`
`PRIVATE_INTENT`
`"osgi.private"`

org.eclipse.ecf.core.sharedobject.AbstractSharedObjectContainerAdapterFactory
Modifier and Type
Constant Field
Value
`protected static final int`
`ADD_ADAPTER_ERROR_CODE`
`300001`
`protected static final String`
`ADD_ADAPTER_ERROR_MESSAGE`
`"Exception adding shared object adapter"`
org.eclipse.ecf.core.sharedobject.BaseSharedObject
Modifier and Type
Constant Field
Value
`protected static final int`
`DESTROYREMOTE_CODE`
`8001`
`protected static final int`
`DESTROYSELFLOCAL_CODE`
`8002`
org.eclipse.ecf.core.sharedobject.ISharedObjectContainerTransaction
Modifier and Type
Constant Field
Value
`public static final byte`
`ABORTED`
`0x4`
`public static final byte`
`ACTIVE`
`0x0`
`public static final byte`
`COMMITTED`
`0x3`
`public static final byte`
`PREPARED`
`0x2`
`public static final byte`
`VOTING`
`0x1`
org.eclipse.ecf.core.sharedobject.ISharedObjectTransactionConfig
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_TIMEOUT`
`30000`

org.eclipse.ecf.core.sharedobject.model.SharedModel
Modifier and Type
Constant Field
Value
`protected final String`
`SEND_PROPERTY_TO_MSG`
`".sendPropertyTo."`

org.eclipse.ecf.core.util.IClassResolver
Modifier and Type
Constant Field
Value
`public static final String`
`BUNDLE_PROP_NAME`
`"org.eclipse.ecf.core.util.classresolver.bundleSymbolicName"`
org.eclipse.ecf.core.util.OSGIObjectStreamConstants
Modifier and Type
Constant Field
Value
`public static final byte`
`C_ARRAY`
`0x3`
`public static final byte`
`C_BOOL`
`0x17`
`public static final byte`
`C_BYTE`
`0x18`
`public static final byte`
`C_CHAR`
`0x19`
`public static final byte`
`C_COLL`
`0x8`
`public static final byte`
`C_DICT`
`0xe`
`public static final byte`
`C_DOUBLE`
`0x1a`
`public static final byte`
`C_DTO`
`0x4`
`public static final byte`
`C_ENUM`
`0xc`
`public static final byte`
`C_EXTER`
`0xa`
`public static final byte`
`C_FLOAT`
`0x1b`
`public static final byte`
`C_INT`
`0x15`
`public static final byte`
`C_ITER`
`0x9`
`public static final byte`
`C_LIST`
`0x6`
`public static final byte`
`C_LONG`
`0x14`
`public static final byte`
`C_MAP`
`0x5`
`public static final byte`
`C_NULL`
`0x0`
`public static final byte`
`C_OBJECT`
`0xd`
`public static final byte`
`C_OBOOL`
`0x21`
`public static final byte`
`C_OBYTE`
`0x22`
`public static final byte`
`C_OCHAR`
`0x23`
`public static final byte`
`C_ODOUBLE`
`0x24`
`public static final byte`
`C_OFLOAT`
`0x25`
`public static final byte`
`C_OINT`
`0x1f`
`public static final byte`
`C_OLONG`
`0x1e`
`public static final byte`
`C_OSHORT`
`0x20`
`public static final byte`
`C_SER`
`0x1`
`public static final byte`
`C_SET`
`0x7`
`public static final byte`
`C_SHORT`
`0x16`
`public static final byte`
`C_STRING`
`0xb`
`public static final byte`
`C_VER`
`0x2`
org.eclipse.ecf.core.util.ProxyAddress
Modifier and Type
Constant Field
Value
`protected static final int`
`DEFAULT_PORT`
`-1`
org.eclipse.ecf.core.util.Trace
Modifier and Type
Constant Field
Value
`protected static final String`
`LABEL_NEW_VALUE`
`"new="`
`protected static final String`
`LABEL_OLD_VALUE`
`"old="`
`protected static final String`
`PARENTHESIS_CLOSE`
`")"`
`protected static final String`
`PARENTHESIS_OPEN`
`"("`
`protected static final String`
`PREFIX_CATCHING`
`"CAUGHT "`
`protected static final String`
`PREFIX_CHANGING`
`"CHANGING "`
`protected static final String`
`PREFIX_ENTERING`
`"ENTERING "`
`protected static final String`
`PREFIX_EXITING`
`"EXITING "`
`protected static final String`
`PREFIX_THROWING`
`"THROWN "`
`protected static final String`
`PREFIX_TRACING`
`"TRACING "`
`protected static final String`
`SEPARATOR_METHOD`
`"#"`
`protected static final String`
`SEPARATOR_PARAMETER`
`", "`
`protected static final String`
`SEPARATOR_RETURN`
`":"`
`protected static final String`
`SEPARATOR_SPACE`
`" "`
`protected static final String`
`TRACE_STR`
`"TRACE"`

org.eclipse.ecf.discovery.IContainerServiceInfoAdapter
Modifier and Type
Constant Field
Value
`public static final String`
`CONTAINER_CONNECT_REQUIRES_PASSWORD`
`"org.eclipse.ecf.connectContextRequiresPassword"`
`public static final String`
`CONTAINER_CONNECT_TARGET`
`"org.eclipse.ecf.connectTarget"`
`public static final String`
`CONTAINER_CONNECT_TARGET_PATH`
`"org.eclipse.ecf.connectTargetPath"`
`public static final String`
`CONTAINER_CONNECT_TARGET_PROTOCOL`
`"org.eclipse.ecf.connectTargetProtocol"`
`public static final String`
`CONTAINER_FACTORY_NAME_PROPERTY`
`"org.eclipse.ecf.containerFactoryName"`
org.eclipse.ecf.discovery.IDiscoveryAdvertiser
Modifier and Type
Constant Field
Value
`public static final String`
`CONTAINER_NAME`
`"org.eclipse.ecf.discovery.containerName"`
org.eclipse.ecf.discovery.IDiscoveryLocator
Modifier and Type
Constant Field
Value
`public static final String`
`CONTAINER_NAME`
`"org.eclipse.ecf.discovery.containerName"`
org.eclipse.ecf.discovery.ServiceInfo
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_PRIORITY`
`0`
`public static final long`
`DEFAULT_TTL`
`3600L`
`public static final int`
`DEFAULT_WEIGHT`
`0`
`public static final String`
`UNKNOWN_PROTOCOL`
`"unknown"`

org.eclipse.ecf.discovery.identity.IServiceTypeID
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_NA`
`"iana"`
org.eclipse.ecf.discovery.identity.ServiceTypeID
Modifier and Type
Constant Field
Value
`protected static final String`
`DELIM`
`"._"`

org.eclipse.ecf.discovery.service.IDiscoveryService
Modifier and Type
Constant Field
Value
`public static final String`
`CONTAINER_ID`
`"org.eclipse.ecf.discovery.containerID"`
`public static final String`
`CONTAINER_NAME`
`"org.eclipse.ecf.discovery.containerName"`

org.eclipse.ecf.filetransfer.IRemoteFileAttributes
Modifier and Type
Constant Field
Value
`public static final String`
`ARCHIVE_ATTRIBUTE`
`"archive"`
`public static final String`
`EXEC_ATTRIBUTE`
`"exec"`
`public static final String`
`HIDDEN_ATTRIBUTE`
`"hidden"`
`public static final String`
`READ_ATTRIBUTE`
`"read"`
`public static final String`
`SYMLINK_ATTRIBUTE`
`"symlink"`
`public static final String`
`SYMLINK_TARGET_ATTRIBUTE`
`"symlinktarget"`
`public static final String`
`WRITE_ATTRIBUTE`
`"write"`
org.eclipse.ecf.filetransfer.IRemoteFileInfo
Modifier and Type
Constant Field
Value
`public static final int`
`NO_LAST_MODIFIED`
`0`
`public static final int`
`NO_LENGTH`
`-1`
`public static final int`
`NONE`
`-1`

org.eclipse.ecf.osgi.services.distribution.IDistributionConstants
Modifier and Type
Constant Field
Value
`public static final String`
`REMOTE_CONFIGS_SUPPORTED`
`"remote.configs.supported"`
`public static final String`
`REMOTE_INTENTS_SUPPORTED`
`"remote.intents.supported"`
`public static final String`
`SERVICE_EXPORTED_CONFIGS`
`"service.exported.configs"`
`public static final String`
`SERVICE_EXPORTED_CONTAINER_CONNECT_CONTEXT`
`"ecf.exported.containerconnectcontext"`
`public static final String`
`SERVICE_EXPORTED_CONTAINER_FACTORY_ARGUMENTS`
`"ecf.exported.containerfactoryargs"`
`public static final String`
`SERVICE_EXPORTED_CONTAINER_ID`
`"ecf.exported.containerid"`
`public static final String`
`SERVICE_EXPORTED_INTENTS`
`"service.exported.intents"`
`public static final String`
`SERVICE_EXPORTED_INTENTS_EXTRA`
`"service.exported.intents.extra"`
`public static final String`
`SERVICE_EXPORTED_INTERFACES`
`"service.exported.interfaces"`
`public static final String`
`SERVICE_EXPORTED_INTERFACES_WILDCARD`
`"*"`
`public static final String`
`SERVICE_IMPORTED`
`"service.imported"`
`public static final String`
`SERVICE_IMPORTED_CONFIGS`
`"service.imported.configs"`
`public static final String`
`SERVICE_INTENTS`
`"service.intents"`
`public static final String`
`SERVICE_PID`
`"service.pid"`

org.eclipse.ecf.osgi.services.remoteserviceadmin.AbstractMetadataFactory
Modifier and Type
Constant Field
Value
`protected static final String`
`LIST_SEPARATOR`
`" "`
org.eclipse.ecf.osgi.services.remoteserviceadmin.AbstractTopologyManager
Modifier and Type
Constant Field
Value
`public static final String`
`SERVICE_EXPORTED_INTERFACES_WILDCARD`
`"*"`
org.eclipse.ecf.osgi.services.remoteserviceadmin.DebugRemoteServiceAdminListener
Modifier and Type
Constant Field
Value
`public static final int`
`ALL_MASK`
`15`
`public static final int`
`EXPORT_MASK`
`7`
`public static final int`
`IMPORT_MASK`
`13`
org.eclipse.ecf.osgi.services.remoteserviceadmin.ITopologyManager
Modifier and Type
Constant Field
Value
`public static final String`
`ENDPOINT_ALLOWLOCALHOST_PROP`
`"allowLocalhost"`
`public static final String`
`ENDPOINT_EXTRA_FILTERS_PROP`
`"extraFilters"`
`public static final String`
`EXPORT_REGISTERED_SERVICES_FILTER_PROP`
`"exportRegisteredServicesFilter"`
`public static final String`
`ONLY_ECF_SCOPE`
`"(ecf.endpoint.id.ns=*)"`
org.eclipse.ecf.osgi.services.remoteserviceadmin.RemoteConstants
Modifier and Type
Constant Field
Value
`public static final String`
`DISCOVERY_DEFAULT_SERVICE_NAME_PREFIX`
`"osgirsvc_"`
`public static final String`
`DISCOVERY_NAMING_AUTHORITY`
`"ecf.endpoint.discovery.namingauthority"`
`public static final String`
`DISCOVERY_PROTOCOLS`
`"ecf.endpoint.discovery.protocols"`
`public static final String`
`DISCOVERY_SCOPE`
`"ecf.endpoint.discovery.scope"`
`public static final String`
`DISCOVERY_SERVICE_NAME`
`"ecf.endpoint.discovery.servicename"`
`public static final String`
`DISCOVERY_SERVICE_PRIORITY`
`"ecf.endpoint.discovery.priority"`
`public static final String`
`DISCOVERY_SERVICE_TTL`
`"ecf.endpoint.discovery.ttl"`
`public static final String`
`DISCOVERY_SERVICE_TYPE`
`"ecfosgirsvc"`
`public static final String`
`DISCOVERY_SERVICE_WEIGHT`
`"ecf.endpoint.discovery.weight"`
`public static final String`
`ENDPOINT_CONNECTTARGET_ID`
`"ecf.endpoint.connecttarget.id"`
`public static final String`
`ENDPOINT_CONTAINER_ID_NAMESPACE`
`"ecf.endpoint.id.ns"`
`public static final String`
`ENDPOINT_ID`
`"ecf.endpoint.id"`
`public static final String`
`ENDPOINT_IDFILTER_IDS`
`"ecf.endpoint.idfilter.ids"`
`public static final String`
`ENDPOINT_REMOTESERVICE_FILTER`
`"ecf.endpoint.rsfilter"`
`public static final String`
`ENDPOINT_TIMESTAMP`
`"ecf.endpoint.ts"`
`public static final String`
`OSGI_CONTAINER_ID_NS`
`"ecf.osgi.ns"`
`public static final String`
`OSGI_ENDPOINT_MODIFIED`
`"ecf.osgi.endpoint.modified"`
`public static final String`
`SERVICE_EXPORTED_ASYNC_INTERFACES`
`"ecf.exported.async.interfaces"`
`public static final String`
`SERVICE_EXPORTED_CONTAINER_CONNECT_CONTEXT`
`"ecf.exported.containerconnectcontext"`
`public static final String`
`SERVICE_EXPORTED_CONTAINER_FACTORY_ARGS`
`"ecf.exported.containerfactoryargs"`
`public static final String`
`SERVICE_EXPORTED_CONTAINER_ID`
`"ecf.exported.containerid"`
`public static final String`
`SERVICE_IMPORTED_ENDPOINT_ID`
`"endpoint.id"`
`public static final String`
`SERVICE_IMPORTED_ENDPOINT_SERVICE_ID`
`"endpoint.service.id"`
`public static final String`
`SERVICE_IMPORTED_VALUETYPE`
`"ecf.service.imported.valuetype"`
org.eclipse.ecf.osgi.services.remoteserviceadmin.RemoteServiceAdmin
Modifier and Type
Constant Field
Value
`public static final String`
`SERVICE_PROP`
`"org.eclipse.ecf.rsa"`

org.eclipse.ecf.provider.comm.tcp.Client
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_RCVR_PRIORITY`
`5`
`public static final int`
`DEFAULT_SNDR_PRIORITY`
`5`
`public static final String`
`PROTOCOL`
`"ecftcp"`
org.eclipse.ecf.provider.comm.tcp.Server
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_BACKLOG`
`50`
org.eclipse.ecf.provider.comm.tcp.SSLClient
Modifier and Type
Constant Field
Value
`public static final long`
`DEFAULT_CLOSE_TIMEOUT`
`2000L`
`public static final int`
`DEFAULT_MAX_BUFFER_MSG`
`50`
`public static final int`
`DEFAULT_RCVR_PRIORITY`
`5`
`public static final int`
`DEFAULT_SNDR_PRIORITY`
`5`
`public static final int`
`DEFAULT_WAIT_INTERVAL`
`10`
`public static final String`
`PROTOCOL`
`"ecfssl"`

org.eclipse.ecf.provider.dnssd.Activator
Modifier and Type
Constant Field
Value
`public static final String`
`ADVERTISER`
`".advertiser"`
`public static final String`
`DISCOVERY_CONTAINER_NAME_VALUE`
`"ecf.discovery.dnssd"`
`public static final String`
`LOCATOR`
`".locator"`
`public static final String`
`PLUGIN_ID`
`"org.eclipse.ecf.provider.dnssd"`
org.eclipse.ecf.provider.dnssd.DnsSdDebugOptions
Modifier and Type
Constant Field
Value
`public static final String`
`DEBUG`
`"org.eclipse.ecf.provider.dnssd/debug"`
`public static final String`
`EXCEPTIONS_CATCHING`
`"org.eclipse.ecf.provider.dnssd/debug/exceptions/catching"`
`public static final String`
`EXCEPTIONS_THROWING`
`"org.eclipse.ecf.provider.dnssd/debug/exceptions/throwing"`
`public static final String`
`METHODS_ENTERING`
`"org.eclipse.ecf.provider.dnssd/debug/methods/entering"`
`public static final String`
`METHODS_EXITING`
`"org.eclipse.ecf.provider.dnssd/debug/methods/exiting"`
`public static final String`
`METHODS_TRACING`
`"org.eclipse.ecf.provider.dnssd/debug/methods/tracing"`
org.eclipse.ecf.provider.dnssd.DnsSdNamespace
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"ecf.namespace.dnssd"`
`public static final String`
`SCHEME`
`"dnssd"`
org.eclipse.ecf.provider.dnssd.IDnsSdDiscoveryConstants
Modifier and Type
Constant Field
Value
`public static final String`
`CA_RESOLVER`
`"resolver"`
`public static final String`
`CA_SEARCH_PATH`
`"searchPath"`
`public static final String`
`CA_TSIG_KEY`
`"tsig-key"`

org.eclipse.ecf.provider.filetransfer.httpclient4.HttpClientDefaultSSLSocketFactoryModifier
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_SSL_PROTOCOL`
`"https.protocols"`
org.eclipse.ecf.provider.filetransfer.httpclient4.HttpClientOptions
Modifier and Type
Constant Field
Value
`public static final String`
`FORCE_NTLM_PROP`
`"org.eclipse.ecf.provider.filetransfer.httpclient4.options.ForceNTLMProxy"`
`public static final int`
`NTLM_PROXY_RESPONSE_CODE`
`477`
org.eclipse.ecf.provider.filetransfer.httpclient4.HttpClientRetrieveFileTransfer
Modifier and Type
Constant Field
Value
`protected static final int`
`HTTP_PORT`
`80`
`protected static final int`
`HTTPS_PORT`
`443`
`protected static final int`
`MAX_RETRY`
`2`

org.eclipse.ecf.provider.filetransfer.httpclient45.HttpClientOptions
Modifier and Type
Constant Field
Value
`public static final String`
`BROWSE_CONNECTION_TIMEOUT_PROP`
`"org.eclipse.ecf.provider.filetransfer.httpclient4.browse.connectTimeout"`
`public static final String`
`FORCE_NTLM_PROP`
`"org.eclipse.ecf.provider.filetransfer.httpclient4.options.ForceNTLMProxy"`
`public static final int`
`NTLM_PROXY_RESPONSE_CODE`
`477`
`public static final String`
`RETRIEVE_CONNECTION_TIMEOUT_PROP`
`"org.eclipse.ecf.provider.filetransfer.httpclient4.retrieve.connectTimeout"`
`public static final String`
`RETRIEVE_CONNECTION_TTL`
`"org.eclipse.ecf.provider.filetransfer.httpclient45.retrieve.connectionTTL"`
`public static final String`
`RETRIEVE_READ_TIMEOUT_PROP`
`"org.eclipse.ecf.provider.filetransfer.httpclient4.retrieve.readTimeout"`
org.eclipse.ecf.provider.filetransfer.httpclient45.HttpClientRetrieveFileTransfer
Modifier and Type
Constant Field
Value
`protected static final String`
`HTTP`
`"http"`
`protected static final int`
`HTTP_PORT`
`80`
`protected static final String`
`HTTPS`
`"https"`
`protected static final int`
`HTTPS_PORT`
`443`
`protected static final int`
`MAX_RETRY`
`2`

org.eclipse.ecf.provider.filetransfer.httpclient5.HttpClientOptions
Modifier and Type
Constant Field
Value
`public static final String`
`BROWSE_CONNECTION_TIMEOUT_PROP`
`"org.eclipse.ecf.provider.filetransfer.httpclient4.browse.connectTimeout"`
`public static final String`
`FORCE_NTLM_PROP`
`"org.eclipse.ecf.provider.filetransfer.httpclient4.options.ForceNTLMProxy"`
`public static final int`
`NTLM_PROXY_RESPONSE_CODE`
`477`
`public static final String`
`RETRIEVE_CONNECTION_TIMEOUT_PROP`
`"org.eclipse.ecf.provider.filetransfer.httpclient4.retrieve.connectTimeout"`
`public static final String`
`RETRIEVE_CONNECTION_TTL`
`"org.eclipse.ecf.provider.filetransfer.httpclient5.retrieve.connectionTTL"`
`public static final String`
`RETRIEVE_READ_TIMEOUT_PROP`
`"org.eclipse.ecf.provider.filetransfer.httpclient4.retrieve.readTimeout"`
org.eclipse.ecf.provider.filetransfer.httpclient5.HttpClientRetrieveFileTransfer
Modifier and Type
Constant Field
Value
`protected static final String`
`HTTP`
`"http"`
`protected static final int`
`HTTP_PORT`
`80`
`protected static final String`
`HTTPS`
`"https"`
`protected static final int`
`HTTPS_PORT`
`443`
`protected static final int`
`MAX_RETRY`
`2`

org.eclipse.ecf.provider.filetransfer.outgoing.AbstractOutgoingFileTransfer
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_BUF_LENGTH`
`4096`

org.eclipse.ecf.provider.filetransfer.retrieve.AbstractRetrieveFileTransfer
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_BUF_LENGTH`
`4096`
`protected static final int`
`TIMEOUT_INPUTSTREAM_BUFFER_SIZE`
`8192`
org.eclipse.ecf.provider.filetransfer.retrieve.HttpHelper
Modifier and Type
Constant Field
Value
`public static final String`
`CONTENT_DISPOSITION_HEADER`
`"Content-Disposition"`

org.eclipse.ecf.provider.generic.ClientSOContainer
Modifier and Type
Constant Field
Value
`public static final byte`
`CONNECTED`
`0x2`
`public static final byte`
`CONNECTING`
`0x1`
`public static final int`
`DEFAULT_CONNECT_TIMEOUT`
`30000`
`public static final byte`
`DISCONNECTED`
`0x0`
org.eclipse.ecf.provider.generic.GenericContainerInstantiator
Modifier and Type
Constant Field
Value
`public static final String`
`TCPCLIENT_NAME`
`"ecf.generic.client"`
`public static final String`
`TCPSERVER_NAME`
`"ecf.generic.server"`
org.eclipse.ecf.provider.generic.SOContainerGroup
Modifier and Type
Constant Field
Value
`public static final String`
`INVALID_CONNECT`
`"Invalid connect request."`
org.eclipse.ecf.provider.generic.SSLClientSOContainer
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_TCP_CONNECT_TIMEOUT`
`30000`
org.eclipse.ecf.provider.generic.SSLGenericContainerInstantiator
Modifier and Type
Constant Field
Value
`public static final String`
`SSLCLIENT_NAME`
`"ecf.generic.ssl.client"`
`public static final String`
`SSLSERVER_NAME`
`"ecf.generic.ssl.server"`
org.eclipse.ecf.provider.generic.SSLServerSOContainer
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_PROTOCOL`
`"ecfssl"`
org.eclipse.ecf.provider.generic.SSLServerSOContainerGroup
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_BACKLOG`
`50`
org.eclipse.ecf.provider.generic.TCPServerSOContainer
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_PROTOCOL`
`"ecftcp"`

org.eclipse.ecf.provider.jslp.container.JSLPDiscoveryContainer
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"ecf.discovery.jslp"`

org.eclipse.ecf.provider.jslp.identity.JSLPNamespace
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"ecf.namespace.slp"`

org.eclipse.ecf.provider.r_osgi.identity.R_OSGiNamespace
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"ecf.namespace.r_osgi"`
`public static final String`
`NAMESPACE_SCHEME`
`"r-osgi"`
org.eclipse.ecf.provider.r_osgi.identity.R_OSGiRemoteServiceNamespace
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"ecf.namespace.r_osgi.remoteservice"`
org.eclipse.ecf.provider.r_osgi.identity.R_OSGiWSID
Modifier and Type
Constant Field
Value
`public static final int`
`HTTP_PORT`
`80`
`public static final int`
`HTTPS_PORT`
`443`
org.eclipse.ecf.provider.r_osgi.identity.R_OSGiWSNamespace
Modifier and Type
Constant Field
Value
`public static final String`
`NAME_WS`
`"ecf.namespace.r_osgi.ws"`
org.eclipse.ecf.provider.r_osgi.identity.R_OSGiWSSNamespace
Modifier and Type
Constant Field
Value
`public static final String`
`NAME_WSS`
`"ecf.namespace.r_osgi.wss"`

org.eclipse.ecf.provider.remoteservice.generic.RemoteServiceNamespace
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"ecf.namespace.generic.remoteservice"`
org.eclipse.ecf.provider.remoteservice.generic.RemoteServiceRegistrationImpl
Modifier and Type
Constant Field
Value
`public static final int`
`REGISTERED`
`0`
`public static final int`
`UNREGISTERED`
`2`
`public static final int`
`UNREGISTERING`
`1`
org.eclipse.ecf.provider.remoteservice.generic.RemoteServiceRegistryImpl
Modifier and Type
Constant Field
Value
`protected static final String`
`REMOTEOBJECTCLASS`
`"ecf.robjectClass"`
`protected static final String`
`REMOTESERVICE_ID`
`"ecf.rsvc.id"`
`protected static final String`
`REMOTESERVICE_RANKING`
`"ecf.rsvc.ranking"`

org.eclipse.ecf.provider.zookeeper.core.DefaultDiscoveryConfig
Modifier and Type
Constant Field
Value
`public static final String`
`CLIENT_PORT_DEFAULT`
`"2181"`
`public static final String`
`DATADIR_DEFAULT`
`"zookeeperData"`
`public static final String`
`DATALOGDIR_DEFAULT`
`"zookeeperData"`
`public static final String`
`ELECTION_PORT_DEFAULT`
`"3888"`
`public static final String`
`INITLIMIT_DEFAULT`
`"50"`
`public static final String`
`SERVER_PORT_DEFAULT`
`"2888"`
`public static final String`
`SYNCLIMIT_DEFAULT`
`"2"`
`public static final String`
`TICKTIME_DEFAULT`
`"2000"`
`public static final String`
`ZOODISCOVERY_PREFIX`
`"zoodiscovery."`
org.eclipse.ecf.provider.zookeeper.core.IDiscoveryConfig
Modifier and Type
Constant Field
Value
`public static final String`
`ZOODISCOVERY_CONSOLELOG`
`"consoleLog"`
`public static final String`
`ZOODISCOVERY_FLAVOR_CENTRALIZED`
`"zoodiscovery.flavor.centralized"`
`public static final String`
`ZOODISCOVERY_FLAVOR_REPLICATED`
`"zoodiscovery.flavor.replicated"`
`public static final String`
`ZOODISCOVERY_FLAVOR_STANDALONE`
`"zoodiscovery.flavor.standalone"`
`public static final String`
`ZOOKEEPER_AUTOSTART`
`"autoStart"`
`public static final String`
`ZOOKEEPER_CLIENTPORT`
`"clientPort"`
`public static final String`
`ZOOKEEPER_DATADIR`
`"dataDir"`
`public static final String`
`ZOOKEEPER_DATALOGDIR`
`"dataLogDir"`
`public static final String`
`ZOOKEEPER_ELECTION_PORT`
`"electionPort"`
`public static final String`
`ZOOKEEPER_INITLIMIT`
`"initLimit"`
`public static final String`
`ZOOKEEPER_SERVER_PORT`
`"serverPort"`
`public static final String`
`ZOOKEEPER_SYNCLIMIT`
`"syncLimit"`
`public static final String`
`ZOOKEEPER_TEMPDIR`
`"tempDir"`
`public static final String`
`ZOOKEEPER_TICKTIME`
`"tickTime"`
org.eclipse.ecf.provider.zookeeper.core.ZooDiscoveryContainerInstantiator
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"ecf.discovery.zoodiscovery"`
org.eclipse.ecf.provider.zookeeper.core.ZooDiscoveryNamespace
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"ecf.namespace.zoodiscovery"`

org.eclipse.ecf.provider.zookeeper.util.PrettyPrinter
Modifier and Type
Constant Field
Value
`public static final int`
`ACTIVATED`
`3`
`public static final int`
`DEACTIVATED`
`4`
`public static final int`
`PUBLISH_DELAYED`
`7`
`public static final int`
`PUBLISHED`
`1`
`public static final int`
`REMOTE_AVAILABLE`
`5`
`public static final int`
`REMOTE_UNAVAILABLE`
`6`
`public static final int`
`UNPUBLISH_DELAYED`
`8`
`public static final int`
`UNPUBLISHED`
`2`

org.eclipse.ecf.remoteservice.Constants
Modifier and Type
Constant Field
Value
`public static final String`
`DISCOVERY_DEFAULT_SERVICE_NAME_PREFIX`
`"osgirsvc_"`
`public static final String`
`DISCOVERY_NAMING_AUTHORITY`
`"ecf.endpoint.discovery.namingauthority"`
`public static final String`
`DISCOVERY_PROTOCOLS`
`"ecf.endpoint.discovery.protocols"`
`public static final String`
`DISCOVERY_SCOPE`
`"ecf.endpoint.discovery.scope"`
`public static final String`
`DISCOVERY_SERVICE_NAME`
`"ecf.endpoint.discovery.servicename"`
`public static final String`
`DISCOVERY_SERVICE_PRIORITY`
`"ecf.endpoint.discovery.priority"`
`public static final String`
`DISCOVERY_SERVICE_TTL`
`"ecf.endpoint.discovery.ttl"`
`public static final String`
`DISCOVERY_SERVICE_TYPE`
`"ecfosgirsvc"`
`public static final String`
`DISCOVERY_SERVICE_WEIGHT`
`"ecf.endpoint.discovery.weight"`
`public static final String`
`ENDPOINT_CONNECTTARGET_ID`
`"ecf.endpoint.connecttarget.id"`
`public static final String`
`ENDPOINT_CONTAINER_ID_NAMESPACE`
`"ecf.endpoint.id.ns"`
`public static final String`
`ENDPOINT_ID`
`"ecf.endpoint.id"`
`public static final String`
`ENDPOINT_IDFILTER_IDS`
`"ecf.endpoint.idfilter.ids"`
`public static final String`
`ENDPOINT_REMOTESERVICE_FILTER`
`"ecf.endpoint.rsfilter"`
`public static final String`
`ENDPOINT_TIMESTAMP`
`"ecf.endpoint.ts"`
`public static final String`
`OBJECTCLASS`
`"ecf.robjectClass"`
`public static final String`
`OSGI_ASYNC_INTENT`
`"osgi.async"`
`public static final String`
`OSGI_BASIC_INTENT`
`"osgi.basic"`
`public static final String`
`OSGI_BASIC_TIMEOUT_INTENT`
`"osgi.basic.timeout"`
`public static final String`
`OSGI_CONFIDENTIAL_INTENT`
`"osgi.confidential"`
`public static final String`
`OSGI_CONTAINER_ID_NS`
`"ecf.osgi.ns"`
`public static final String`
`OSGI_ENDPOINT_MODIFIED`
`"ecf.osgi.endpoint.modified"`
`public static final String`
`OSGI_PRIVATE_INTENT`
`"osgi.private"`
`public static final String`
`OSGI_SERVICE_INTENTS`
`"service.intents"`
`public static final String`
`SERVICE_ASYNC_RSPROXY_CLASS_`
`"ecf.rsvc.async.proxy_"`
`public static final String`
`SERVICE_CONNECT_ID`
`"ecf.rsvc.cnct.id"`
`public static final String`
`SERVICE_CONNECT_ID_NAMESPACE`
`"ecf.rsvc.cnct.id.ns"`
`public static final String`
`SERVICE_CONTAINER_FACTORY_NAME`
`"ecf.rsvc.cfn"`
`public static final String`
`SERVICE_CONTAINER_ID`
`"ecf.rsvc.cid"`
`public static final String`
`SERVICE_EXPORTED_ASYNC_INTERFACES`
`"ecf.exported.async.interfaces"`
`public static final String`
`SERVICE_EXPORTED_CONTAINER_CONNECT_CONTEXT`
`"ecf.exported.containerconnectcontext"`
`public static final String`
`SERVICE_EXPORTED_CONTAINER_FACTORY_ARGS`
`"ecf.exported.containerfactoryargs"`
`public static final String`
`SERVICE_EXPORTED_CONTAINER_ID`
`"ecf.exported.containerid"`
`public static final String`
`SERVICE_FILTER_PROPERTY`
`"ecf.rsvc.fltr"`
`public static final String`
`SERVICE_ID`
`"ecf.rsvc.id"`
`public static final String`
`SERVICE_IDFILTER_ID`
`"ecf.rsvc.idfltr.id"`
`public static final String`
`SERVICE_IDFILTER_NAMESPACE`
`"ecf.rsvc.idfltr.ns"`
`public static final String`
`SERVICE_IMPORTED_VALUETYPE`
`"ecf.service.imported.valuetype"`
`public static final String`
`SERVICE_OBJECTCLASS`
`"ecf.rsvc.robjectclass"`
`public static final String`
`SERVICE_PREVENT_ASYNCPROXY`
`"ecf.rsvc.async.noproxy"`
`public static final String`
`SERVICE_PREVENT_RSPROXY`
`"ecf.rsvc.norsproxy"`
`public static final String`
`SERVICE_RANKING`
`"ecf.rsvc.ranking"`
`public static final String`
`SERVICE_REGISTER_PROXY`
`"ecf.rsvc.proxy"`
`public static final String`
`SERVICE_REGISTRATION_TARGETS`
`"ecf.rsvc.reg.targets"`
org.eclipse.ecf.remoteservice.IAsyncRemoteServiceProxy
Modifier and Type
Constant Field
Value
`public static final String`
`ASYNC_INTERFACE_SUFFIX`
`"Async"`
`public static final String`
`ASYNC_METHOD_SUFFIX`
`"Async"`
org.eclipse.ecf.remoteservice.IRemoteServiceImplDebugOptions
Modifier and Type
Constant Field
Value
`public static final String`
`DEBUG`
`"org.eclipse.ecf.remoteservice/debug"`
`public static final String`
`EXCEPTIONS_CATCHING`
`"org.eclipse.ecf.remoteservice/debug/exceptions/catching"`
`public static final String`
`EXCEPTIONS_THROWING`
`"org.eclipse.ecf.remoteservice/debug/exceptions/throwing"`
`public static final String`
`METHODS_ENTERING`
`"org.eclipse.ecf.remoteservice/debug/methods/entering"`
`public static final String`
`METHODS_EXITING`
`"org.eclipse.ecf.remoteservice/debug/methods/exiting"`
org.eclipse.ecf.remoteservice.RemoteServiceNamespace
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"ecf.namespace.remoteservice"`
org.eclipse.ecf.remoteservice.RemoteServiceRegistrationImpl
Modifier and Type
Constant Field
Value
`public static final int`
`REGISTERED`
`0`
`public static final int`
`UNREGISTERED`
`2`
`public static final int`
`UNREGISTERING`
`1`
org.eclipse.ecf.remoteservice.RemoteServiceRegistryImpl
Modifier and Type
Constant Field
Value
`protected static final String`
`REMOTEOBJECTCLASS`
`"ecf.robjectClass"`
`protected static final String`
`REMOTESERVICE_ID`
`"ecf.rsvc.id"`
`protected static final String`
`REMOTESERVICE_RANKING`
`"ecf.rsvc.ranking"`

org.eclipse.ecf.remoteservice.client.RemoteServiceClientRegistration
Modifier and Type
Constant Field
Value
`protected static final String`
`CLASS_METHOD_SEPARATOR`
`"."`

org.eclipse.ecf.remoteservice.rest.client.AbstractEntityRequestType
Modifier and Type
Constant Field
Value
`public static final int`
`BYTEARRAY_REQUEST_ENTITY`
`2`
`public static final String`
`CHARSET_PARAM_NAME`
`"charset"`
`public static final long`
`CONTENT_LENGTH_AUTO`
`-2L`
`public static final String`
`CONTENT_LENGTH_PARAM_NAME`
`"contentLength"`
`public static final String`
`CONTENT_TYPE_PARAM_NAME`
`"contentType"`
`public static final int`
`FILE_REQUEST_ENTITY`
`3`
`public static final int`
`INPUT_STREAM_REQUEST_ENTITY`
`0`
`public static final int`
`NO_REQUEST_ENTITY`
`-1`
`public static final int`
`STRING_REQUEST_ENTITY`
`1`
org.eclipse.ecf.remoteservice.rest.client.AbstractRestClientContainer
Modifier and Type
Constant Field
Value
`public static final String`
`SLASH`
`"/"`
org.eclipse.ecf.remoteservice.rest.client.RestClientService
Modifier and Type
Constant Field
Value
`protected static final String`
`DEFAULT_HTTP_CONTENT_CHARSET`
`"UTF-8"`
`protected static final int`
`DEFAULT_RESPONSE_BUFFER_SIZE`
`1024`

org.eclipse.ecf.remoteservice.rest.identity.RestNamespace
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"ecf.rest.namespace"`
`public static final String`
`SCHEME`
`"rest"`

org.eclipse.ecf.remoteservice.util.ObjectSerializationUtil
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_BAOS_BUFFER_SIZE`
`4096`
org.eclipse.ecf.remoteservice.util.RemoteFilterImpl
Modifier and Type
Constant Field
Value
`public static final String`
`REMOTE_SERVICEID_PREFIX`
`"(&(ecf.rsvc.id="`

## org.osgi.*

org.osgi.service.remoteserviceadmin.EndpointEvent
Modifier and Type
Constant Field
Value
`public static final int`
`ADDED`
`1`
`public static final int`
`MODIFIED`
`4`
`public static final int`
`MODIFIED_ENDMATCH`
`8`
`public static final int`
`REMOVED`
`2`
org.osgi.service.remoteserviceadmin.EndpointEventListener
Modifier and Type
Constant Field
Value
`public static final String`
`ENDPOINT_LISTENER_SCOPE`
`"endpoint.listener.scope"`
org.osgi.service.remoteserviceadmin.EndpointListener
Modifier and Type
Constant Field
Value
`public static final String`
`ENDPOINT_LISTENER_SCOPE`
`"endpoint.listener.scope"`
org.osgi.service.remoteserviceadmin.EndpointPermission
Modifier and Type
Constant Field
Value
`public static final String`
`EXPORT`
`"export"`
`public static final String`
`IMPORT`
`"import"`
`public static final String`
`READ`
`"read"`
org.osgi.service.remoteserviceadmin.RemoteConstants
Modifier and Type
Constant Field
Value
`public static final String`
`ENDPOINT_FRAMEWORK_UUID`
`"endpoint.framework.uuid"`
`public static final String`
`ENDPOINT_ID`
`"endpoint.id"`
`public static final String`
`ENDPOINT_PACKAGE_VERSION_`
`"endpoint.package.version."`
`public static final String`
`ENDPOINT_SERVICE_ID`
`"endpoint.service.id"`
`public static final String`
`REMOTE_CONFIGS_SUPPORTED`
`"remote.configs.supported"`
`public static final String`
`REMOTE_INTENTS_SUPPORTED`
`"remote.intents.supported"`
`public static final String`
`SERVICE_EXPORTED_CONFIGS`
`"service.exported.configs"`
`public static final String`
`SERVICE_EXPORTED_INTENTS`
`"service.exported.intents"`
`public static final String`
`SERVICE_EXPORTED_INTENTS_EXTRA`
`"service.exported.intents.extra"`
`public static final String`
`SERVICE_EXPORTED_INTERFACES`
`"service.exported.interfaces"`
`public static final String`
`SERVICE_IMPORTED`
`"service.imported"`
`public static final String`
`SERVICE_IMPORTED_CONFIGS`
`"service.imported.configs"`
`public static final String`
`SERVICE_INTENTS`
`"service.intents"`
org.osgi.service.remoteserviceadmin.RemoteServiceAdminEvent
Modifier and Type
Constant Field
Value
`public static final int`
`EXPORT_ERROR`
`6`
`public static final int`
`EXPORT_REGISTRATION`
`2`
`public static final int`
`EXPORT_UNREGISTRATION`
`3`
`public static final int`
`EXPORT_UPDATE`
`10`
`public static final int`
`EXPORT_WARNING`
`7`
`public static final int`
`IMPORT_ERROR`
`5`
`public static final int`
`IMPORT_REGISTRATION`
`1`
`public static final int`
`IMPORT_UNREGISTRATION`
`4`
`public static final int`
`IMPORT_UPDATE`
`9`
`public static final int`
`IMPORT_WARNING`
`8`

org.osgi.service.remoteserviceadmin.namespace.DiscoveryNamespace
Modifier and Type
Constant Field
Value
`public static final String`
`CAPABILITY_PROTOCOLS_ATTRIBUTE`
`"protocols"`
`public static final String`
`DISCOVERY_NAMESPACE`
`"osgi.remoteserviceadmin.discovery"`
org.osgi.service.remoteserviceadmin.namespace.DistributionNamespace
Modifier and Type
Constant Field
Value
`public static final String`
`CAPABILITY_CONFIGS_ATTRIBUTE`
`"configs"`
`public static final String`
`DISTRIBUTION_NAMESPACE`
`"osgi.remoteserviceadmin.distribution"`
org.osgi.service.remoteserviceadmin.namespace.TopologyNamespace
Modifier and Type
Constant Field
Value
`public static final String`
`CAPABILITY_POLICY_ATTRIBUTE`
`"policy"`
`public static final String`
`FAIL_OVER_POLICY`
`"fail-over"`
`public static final String`
`PROMISCUOUS_POLICY`
`"promiscuous"`
`public static final String`
`TOPOLOGY_NAMESPACE`
`"osgi.remoteserviceadmin.topology"`